#
# spec file for package cmsfs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cmsfs
Url:            http://linuxvm.org/patches
Version:        1.1.10
Release:        6.1
Summary:        CMS Filesystem driver and utility
License:        GPL-2.0+
Group:          System/Filesystems
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.bmc.com/pub/cmsfs/%{name}-%{version}.tar.gz
Patch1:         %{name}-1.1.8-mandir.patch
Patch2:         %{name}-1.1.8-cflags.patch
Patch3:         %{name}-1.1.8-warning.patch
Patch4:         %{name}-1.1.8-use-detected-filesystem-block-size-on-FBA-devices.patch
Patch5:         %{name}-1.1.10-sanitize-source.patch
Patch6:         %{name}-1.1.10-supported-version.patch
ExclusiveArch:  s390 s390x

%description
The CMS Filesystem package allows access to CMS files on CMS minidisks
that are owned or linked by a Linux/390 guest on z/VM. The CMS minidisk
must not reside in a z/VM SFS pool.

The RPM only contains the user mode (non kernel) utility.



Authors:
--------
    Rick Troth <rtroth@bmc.com>

%prep
%setup
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=/usr/share/man
make clean
make all
make doc
rm INSTALL

%install
make PREFIX=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT/usr/share/man install
rm $RPM_BUILD_ROOT/usr/lib/libcmsfs.a

%files
%defattr(-,root,root)
/usr/bin/cmsfsvol
/usr/bin/cmsfslst
/usr/bin/cmsfscat
/usr/bin/cmsfsck
/usr/bin/cmsfscp
##/sbin/fsck.cms
%{_mandir}/man8/cms*
%doc README LICENSE CREDITS

%changelog
* Tue Sep  5 2023 Holger B. A. Rauch <holger.rauch@posteo.de>
- Update cmsfs-1.1.10-supported-version.patch to include [6-9].x kernels.
* Fri Apr 26 2019 <gunreben@t-online.de>
- Update cmsfs-1.1.10-supported-version.patch to include 5.x kernels.
* Tue Nov 15 2016 mpost@suse.com
- Added cmsfs-1.1.10-supported-version.patch to include 4.* kernels.
* Mon Apr 14 2014 hare@suse.de
- Update to 1.1.10 (bnc#873037)
  * Minor fixes
  Add: cmsfs-1.1.10.tar.gz
  Remove: cmsfs-1.1.8.tar.gz
  Remove: cmsfs-1.1.8-linux26.patch
- Add patches from Fedora:
  Add: cmsfs-1.1.8-warning.patch
  Add:
  cmsfs-1.1.8-use-detected-filesystem-block-size-on-FBA-devices.patch
- Rename patch:
  Add: cmsfs-1.1.8-cflags.patch
  Remove: cmsfs-cflags.patch
- Update patch for 1.1.10:
  Add: cmsfs-1.1.10-sanitize-source.patch
  Remove: cmsfs-sanitize.patch
* Wed Oct 15 2008 ro@suse.de
- added missing exclusivearch
* Mon Apr 14 2008 uli@suse.de
- fixed doc permissions
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 hare@suse.de
- package created, based on version 1.1.8
